package com.muyu.rule.server.service;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.service
 * @Project：cloud-etl-rule
 * @name：SourceDisposeService
 * @Date：2024/8/27 21:51
 */
public interface SourceDisposeService {


    /**
     * 手机号脱敏
     * @param dataSource 手机号数据源
     * @return 脱敏后的手机号数据
     */


    String dataGenerate(String dataSource);


    /**
     * 对数据进行非空判断
     * @param dataSource
     * @return
     */


    Boolean notEmpty(Object dataSource);

    String  valueTest(Object object);
}
